eureka:
  instance:
    hostname: eureka
    prefer-ip-address: true
    instance-id: ${spring.application.name}:${spring.cloud.client.ipAddress}:${spring.application.instance_id:${server.port}}
    # 心跳时间，即服务续约间隔时间（缺省为30s）
    lease-renewal-interval-in-seconds: 10
    # 发呆时间，即服务续约到期时间（缺省为90s）
    lease-expiration-duration-in-seconds: 20
  client:
    registry-fetch-interval-seconds: 5
    serviceUrl:
      defaultZone: http://eureka:20000/eureka/
server:
  port: 11093
  servlet:
    context-path: /ciop
  tomcat:
    uri-encoding: UTF-8
    max-threads: 200
    max-connections: 2000
  jetty:
    max-http-post-size: 1000000
winsun:
  app:
    version: @project.version@
    name: ${spring.application.name}
    scanner: false
  auth:
    #鉴权地址
    serviceId: core
  #是否开启swagger (true/false)
  swagger-open: false
  #是否开启登录时验证码 (true/false)
  kaptcha-open: false
  #是否开启spring session,如果是多机环境需要开启(true/false)
  spring-session-open: true
  redis-session-expire: 86400
  #session失效时间(只在单机环境下生效，多机环境在SpringSessionConfig类中配置) 单位：秒
  session-invalidate-time: 1800
  #多久检测一次失效的session(只在单机环境下生效) 单位：秒
  session-validation-interval: 900
spring:
  profiles:
    active: prod
  quartz:
    job-store-type: jdbc
    jdbc:
      initialize-schema: never
    properties:
      org:
        quartz:
          scheduler:
            instanceName: DefaultQuartzScheduler
            instanceId: AUTO
          jobStore:
            dataSource: default
            class: org.quartz.impl.jdbcjobstore.JobStoreTX
            driverDelegateClass: org.quartz.impl.jdbcjobstore.StdJDBCDelegate
            tablePrefix: QRTZ_
            isClustered: false
            clusterCheckinInterval: 10000
            useProperties: true
            misfireThreshold: 5000
          threadPool:
            class: org.quartz.simpl.SimpleThreadPool
            threadCount: 10
            threadPriority: 5
            threadsInheritContextClassLoaderOfInitializingThread: true
  cloud:
    stream:
      bindings:
        menuOutput:
          destination: queue.menu.messages
          binder: local_rabbit
          content-type: application/json
      binders:
        local_rabbit:
          type: rabbit
          environment:
            spring:
              rabbitmq:
                host: ${spring.rabbitmq.host}
                port: ${spring.rabbitmq.port}
                username: ${spring.rabbitmq.username}
                password: ${spring.rabbitmq.password}
      rabbit:
        bindings:
          input:
            consumer:
              # maxumum concurrency of this consumer (threads)
              max-concurrency: 50
              # number of prefetched messages pre consumer thread
              prefetch: 100
              # true to requeue rejected messages, false to discard (or route to DLQ)
              requeue-rejected: false
              # republish failures to the DLQ with diagnostic headers
              republish-to-dlq: true
  rabbitmq:
    host: rabbitmq
    port: 5672
    username: guest
    password: guest
  redis:
    clusterWhether: false
    cluster:
      max-redirects: 3
      nodes:
        - redis:6379
    database: 0
    host: redis
    port: 6379
    password:
    lettuce:
      pool:
        max-active: -1
        max-wait: -1
        max-idle: 8
        min-idle: 0
    timeout: 5000
    ip:
      exprie: 600
      prohibition: 600
  datasource:
    dynamic:
      primary: master
      p6spy: true
      druid:
        filters: stat
        max-active: 30
      datasource:
        master:
          url: jdbc:mysql://172.18.101.171:3306/school_center?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=CONVERT_TO_NULL&useSSL=false&serverTimezone=CTT&allowPublicKeyRetrieval=true
          username: root
          password: AMrGBg6ZSsRrDLs6
          driver-class-name: com.mysql.cj.jdbc.Driver
  devtools:
    restart:
      enabled: false
      additional-paths: src/main/java
      exclude: static/**,WEB-INF/view/**
  servlet:
    multipart:
      enabled: true
      max-request-size: 100MB
      max-file-size: 100MB
  application:
    name: new-user
feign:
  hystrix:
    enabled: true
  httpclient:
    enabled: true
  okhttp:
    enabled: false
ribbon:
  MaxAutoRetries: 0
  MaxAutoRetriesNextServer: 0
  ReadTimeout: 4400
  ConnectTimeout: 2000
hystrix:
  threadpool:
    default:
      coreSize: 100
      maximumSize: 100
      allowMaximumSizeToDivergeFromCoreSize: true
      maxQueueSize: 20000
      queueSizeRejectionThreshold: 19999
  command:
    #default全局有效，service id指定应用有效
    default:
      circuitBreaker:
        enabled: false
      execution:
        timeout:
          #如果enabled设置为false，则请求超时交给ribbon控制,为true,则超时作为熔断根据
          enabled: true
        isolation:
          thread:
            timeoutInMilliseconds: 4500 #断路器超时时间，默认1000ms
mybatis-plus:
  typeAliasesPackage: com.winsun.bean,com.winsun.framework.core.node
  mapper-locations:
    - com/winsun/mapper/mapping/*.xml
management:
  endpoints:
    web:
      exposure:
        include: bus-refresh